Bug 155054 - quanta+ crashes with signal 11
quanta+ crashes with signal 11
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kdewebdev (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-15 16:57 EDT by Mark Eggers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 08:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Eggers 2005-04-15 16:57:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
When I start quanta+ and let it set idle, it crashes with a signal 11 after about 30 seconds.

I reported this to the people at KDE, who informed me that this is a packaging problem.

I thought I had picked up the packages from an unofficial site (http://kde-redhat.sourceforge.net/), so I filed a bug there as well.

However, rpm -q shows the following:

[mdeggers@phoenix dtd]$ rpm -q qt arts kdelibs kdewebdev
qt-3.3.4-0.fc3.0
arts-1.4.0-0.fc3.0
kdelibs-3.4.0-0.fc3.0
kdewebdev-3.4.0-0.fc3.0

This means it comes from the official Fedora Core repositories.



Version-Release number of selected component (if applicable):
kdewebdev-3.4.0-0.fc3.0

How reproducible:
Always

Steps to Reproduce:
1. Start quanta+ (command line or menu)
2. Wait approximately 30 seconds
3. Crash with signal 11

Actual Results:  Crash with signal 11.  I have deleted my traceback, but this is a similar traceback found on bugs.kde.org (bug ID 102300)

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208277312 (LWP 6450)]
[KCrash handler]
#4  0x033f7536 in operator<< <QString> ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#5  0x033f6846 in operator<< () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#6  0x0064d5a9 in CvsService_stub::update () from /usr/lib/libcvsservice.so.0
#7  0x0833c903 in CVSService::staticMetaObject ()
#8  0x080d026e in QMap<QString, QString>::operator[] ()
#9  0x031157a9 in QObject::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#10 0x0314de5a in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#11 0x0320740c in QMainWindow::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#12 0x00bcfdea in KMdiMainFrm::event () from /usr/lib/libkmdi.so.1
#13 0x030b9539 in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0x030b96ca in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0x012f4d88 in KApplication::notify () from /usr/lib/libkdecore.so.4
#16 0x030ba696 in QApplication::sendPostedEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0x030cec14 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#18 0x030ceade in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#19 0x030b873b in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#20 0x0809f2c7 in QPtrList<char>::deleteItem ()
#21 0x06af7e33 in __libc_start_main () from /lib/tls/libc.so.6
#22 0x08087751 in ?? ()


Expected Results:  quanta should just sit and run

Additional info:

I've solved this problem on my system by checking out the latest kdewebdev in the 3.4 branch via CVS, compiling it, and installing it.

The locally compiled version works fine.
Comment 1 Ngo Than 2005-04-19 08:58:11 EDT
yes, that seems it's built with the old kdesdk! I have now added the buildreq on
the correct kdesdk version in the kdewebdev.spec, which will prevent this.

The KDE-3.4.1 will be released soon. So it does not make sense for me to build it.
Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.